﻿/**Begin D:\tools\PDM_UPGRADE\pdmnew\PMDC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FGROUPID') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FGROUPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FCREATEORGID') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FUSERORGID') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FUSERORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FCTRLSTRATEGY') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FSOURCEDATAID') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FBITINDEX') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FBITINDEX BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FSOURCEBITINDEX') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FPROID') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FPROID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FRESOURCEPATH') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FRESOURCEPATH VARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCITEM' AND KSQL_COL_NAME ='FATTACHMENTTYPE') 
 ALTER TABLE T_PMDC_DOCITEM ADD (FATTACHMENTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_PMDC_DOCLIBAPPLY', 'FBILLNO', 'VARCHAR(80)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCLIBAPPLY' AND KSQL_COL_NAME ='FCREATEORGID') 
 ALTER TABLE T_PMDC_DOCLIBAPPLY ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCLIBAPPLY' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_PMDC_DOCLIBAPPLY ADD (FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCLIBAPPLY_L' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_PMDC_DOCLIBAPPLY_L ADD (FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_COLLECTMANAGE') 
 CREATE TABLE T_PMDC_COLLECTMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FBUSINESSDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_COLLECTMANAGE_L') 
 CREATE TABLE T_PMDC_COLLECTMANAGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_COLLECTRECORD') 
 CREATE TABLE T_PMDC_COLLECTRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FDOCITEMID BIGINT DEFAULT 0 NOT NULL,
FFILENO VARCHAR(80) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSERORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOLLECTPERSONID BIGINT DEFAULT 0 NOT NULL,
FDOCLIBNAMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_COLLECTRECORD_L') 
 CREATE TABLE T_PMDC_COLLECTRECORD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFILENO VARCHAR(80) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMDC_FILENO') 
 CREATE TABLE T_PMDC_FILENO (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FDOCLIBNAMEID BIGINT DEFAULT 0 NOT NULL,
FUSERORGID BIGINT DEFAULT 0 NOT NULL,
FDOCDIRECTORYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCDIRECTORY' AND KSQL_COL_NAME ='FBILLTYPE') 
 ALTER TABLE T_PMDC_DOCDIRECTORY ADD (FBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMDC_DOCDIRECTORY' AND KSQL_COL_NAME ='FFORMMETAID') 
 ALTER TABLE T_PMDC_DOCDIRECTORY ADD (FFORMMETAID VARCHAR(36) DEFAULT ' ' NOT NULL );

/**End D:\tools\PDM_UPGRADE\pdmnew\PMDC_table.sql **/
